﻿; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
; +     Autor :         Venom                                                                     +
; +     Project name :  Solitaire Square                                                          +
; +     Version :       V 1.0                                                                     +
; +     Compilator :    PureBasic V5.72                                                           +
; +     Date :          06/05/2020                                                                +
; +     OS :            Windows 10                                                                +
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;- Windows Constants
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Enumeration
  #Window_0
EndEnumeration


; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;- Gadgets Constants
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Enumeration
  #NotAvailable
  #Empty
  #Square_Red
  #Opened_Hand
  #Closed_Hand
  #Slide_Sound
EndEnumeration


; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;- Initialisations
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
UseOGGSoundDecoder()


; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;- Declarations variables
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Global NbColumn = 6, NbRow = 6, SizeBall = 60, RoundX = SizeBall/4, RoundY = SizeBall/4
Global LargeurWindow = NbColumn*SizeBall+SizeBall, HauteurWindow = NbRow*SizeBall+SizeBall
Global Dim SpritesTab(NbColumn, NbRow), Col, Row, SelCol=-1, SelRow=-1, Score = 0
Global Grey = RGB(50, 50, 50), Red = RGB(150, 0, 0), Black = RGB(0, 0, 0)


; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;- Declarations procedures
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Declare Initialisations()
Declare GameLoad()
Declare GameUpdate()


; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;- Ouverture de la fenetre principale
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  If OpenWindow(#Window_0, 0, 0, LargeurWindow, HauteurWindow, "Solitaire Square", #PB_Window_TitleBar | #PB_Window_ScreenCentered)
   Initialisations()
    
    If OpenWindowedScreen(WindowID(#Window_0), 0, 0, LargeurWindow, HauteurWindow)
     GameLoad()
     
    EndIf 
   
  EndIf 


; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;- Boucle
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  Repeat 
    Repeat
      Event = WindowEvent()
     
      Select event   
        Case #PB_Event_CloseWindow
          End
      EndSelect 
    Until event=0
   
    FlipBuffers()
    ClearScreen(RGB(0,0,0))
               
    ExamineKeyboard()
    ExamineMouse()
    
    GameUpdate()
 
  Until KeyboardPushed(#PB_Key_Escape)





; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;- Procedures
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  Procedure Initialisations()
    ;- Initialisation environnement sprite
    If InitSprite() = 0
     MessageRequester("Erreur", "Impossible d'ouvrir l'écran & l'environnement nécessaire aux sprites !", 0)
      End
    EndIf

    ; Initialisation environnement clavier
    If InitKeyboard() = 0
     MessageRequester("Erreur", "Impossible d'initialisé le clavier !", 0)
      End
    EndIf
  
    ; Initialisation environnement souris
    If InitMouse() = 0
     MessageRequester("Erreur", "Impossible d'initialisé la souris !", 0)
      End
    EndIf
    
    ; Initialisation environnement son
    If InitSound() = 0
     MessageRequester("Erreur", "Impossible d'initialisé le son", 0)
      End
    EndIf
    
    ; Initialisation PNG format 
    UsePNGImageDecoder()
    
  EndProcedure
  
  
  Procedure GameLoad()
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
; Création des sprites
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   ;Creation du sprite non accessible
   CreateSprite(#NotAvailable, SizeBall, SizeBall)
    StartDrawing(SpriteOutput(#NotAvailable))
     RoundBox(0, 0, SizeBall-2, SizeBall-2, RoundX, RoundY, Black)
    StopDrawing()
     
   ;Creation du sprite vide
   CreateSprite(#Empty, SizeBall, SizeBall)
    StartDrawing(SpriteOutput(#Empty))
     RoundBox(0, 0, SizeBall-2, SizeBall-2, RoundX, RoundY, Grey)
    StopDrawing()
  
   ;Creation du carré Rouge
   CreateSprite(#Square_Red, SizeBall-2, SizeBall-2)
    StartDrawing(SpriteOutput(#Square_Red))
     RoundBox(0, 0, SizeBall-2, SizeBall-2, RoundX, RoundY, Red)
    StopDrawing()

   ;Creation du curseur main ouverte
   CatchSprite(#Opened_Hand, ?openhand, #PB_Sprite_AlphaBlending)

   ;Creation du curseur main fermer
   CatchSprite(#Closed_Hand, ?closedhand, #PB_Sprite_AlphaBlending)
   
   ; creation du son slide
   CatchSound(#Slide_Sound, ?slide_ogg_start, ?slide_ogg_end-?slide_ogg_start)
   
   
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
; Remplissage du tableau
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    ; on rempli le tableau de 1 qui correspond a l'affichage des carrés
    For Col = 0 To NbColumn
     For Row = 0 To NbRow
      SpritesTab(Col, Row) = 1
     Next 
    Next 

    ; on supprime les sprites en trop 
    ; 0 = Case vide, 1 = pion, 2 = case non accessible
    
    ; sur la ligne 1
    SpritesTab(0, 0) = 2
    SpritesTab(1, 0) = 2
    SpritesTab(5, 0) = 2
    SpritesTab(6, 0) = 2
    ; sur la ligne 2
    SpritesTab(0, 1) = 2
    SpritesTab(1, 1) = 2
    SpritesTab(5, 1) = 2
    SpritesTab(6, 1) = 2
    ; le point central
    SpritesTab(3, 3) = 0
    ; sur la ligne 6
    SpritesTab(0, 5) = 2
    SpritesTab(1, 5) = 2
    SpritesTab(5, 5) = 2
    SpritesTab(6, 5) = 2
    ; sur la ligne 7
    SpritesTab(0, 6) = 2
    SpritesTab(1, 6) = 2
    SpritesTab(5, 6) = 2
    SpritesTab(6, 6) = 2

  EndProcedure
  
  
  Procedure GameUpdate()

   Protected Mx = MouseX()
   Protected My = MouseY()

; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
; on affiche le jeu charger dans le tableau plus haut
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  For Col = 0 To NbColumn
   For Row = 0 To NbRow
    If SpritesTab(Col, Row) = 0
     DisplaySprite(#Empty, Col*SizeBall, Row*SizeBall)
    ElseIf SpritesTab(Col, Row) = 1
     DisplaySprite(#Square_Red, Col*SizeBall, Row*SizeBall)
    ElseIf SpritesTab(Col, Row) = 2
     DisplaySprite(#NotAvailable, Col*SizeBall, Row*SizeBall)
    EndIf   
   Next 
  Next
  
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
; affichage du curseur + déplacement des pions
; les fonctions qui suivent sont de falsam avec une adaptation de ma part
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   If MouseButton(#PB_MouseButton_Left)
    DisplayTransparentSprite(#Closed_Hand, Mx, My, 200) ; affiche la main fermer
    ;Le bouton gauche de la souris est préssé :
    ; ? Il y a un sprite sue cette case (Sprites(Col, Row) <> 0)
    ; ? ET il n'y a pas de sprite en cours de selection (SelCol = -1)
    ; OUI => Mémorisation des coordonnées du sprite
    For Col = 0 To NbColumn
     For Row = 0 To NbRow
      If SpritesTab(Col, Row) = 1 And (Mx > Col*SizeBall And Mx < (Col+1)*SizeBall) And (My > Row*SizeBall And My < (Row+1)*SizeBall) And SelCol = -1
       SelCol = Col
       SelRow = Row
      EndIf 
     Next
    Next
   
   Else
    DisplayTransparentSprite(#Opened_Hand,Mx, My, 200) ; affiche la main ouverte
    ;Le bouton de la souris est relaché :
    ; ? La Case ou se trouve la souris est libre
    ; ? ET Relacher un sprite (SelCol <> -1)
    ; OUI ==> Permutation des cellules
    For Col = 0 To NbColumn
     For Row = 0 To NbRow
      If SpritesTab(Col, Row) = 0 And (Mx > Col*SizeBall And Mx < (Col+1)*SizeBall) And (My > Row*SizeBall And My < (Row+1)*SizeBall) And SelCol <> -1
          
       If Col < SelCol And Row = SelRow ; deplacement vers la gauche
        If  Col = SelCol-2 ; verifie si on se deplace bien de 2 cases
         If SpritesTab(Col+1, Row) = 1 ; verifie si on saute bien 1 pion
          Swap SpritesTab(Col, Row), SpritesTab(SelCol, SelRow) ; on effectue le deplacement
           SpritesTab(Col+1, Row) = 0 ; on retire le pion entre deux
            Score = Score+1
             PlaySound(#Slide_Sound, #PB_Sound_MultiChannel, 100)
         EndIf 
        EndIf 
       
       ElseIf Col > SelCol And Row = SelRow ; deplacement vers la droite 
        If  Col = SelCol+2 ; verifie si on se deplace bien de 2 cases 
         If SpritesTab(Col-1, Row) = 1 ; verifie si on saute bien 1 pion 
          Swap SpritesTab(Col, Row), SpritesTab(SelCol, SelRow) ; on effectue le deplacement
           SpritesTab(Col-1, Row) = 0 ; on retire le pion entre deux
            Score = Score+1
             PlaySound(#Slide_Sound, #PB_Sound_MultiChannel, 100)
         EndIf 
        EndIf 
       
       ElseIf Row < SelRow  And Col = SelCol ; deplacement vers le haut
        If  Row = SelRow-2 ; verifie si on se deplace bien de 2 cases 
         If SpritesTab(Col, Row+1) = 1 ; verifie si on saute bien 1 pion 
          Swap SpritesTab(Col, Row), SpritesTab(SelCol, SelRow) ; on effectue le deplacement
           SpritesTab(Col, Row+1) = 0 ; on retire le pion entre deux
            Score = Score+1
             PlaySound(#Slide_Sound, #PB_Sound_MultiChannel, 100)
         EndIf 
        EndIf 
       
       ElseIf Row > SelRow  And Col = SelCol ; deplacement vers le bas
        If  Row = SelRow+2 ; verifie si on se deplace bien de 2 cases 
         If SpritesTab(Col, Row-1) = 1 ; verifie si on saute bien 1 pion
          Swap SpritesTab(Col, Row), SpritesTab(SelCol, SelRow) ; on effectue le deplacement
           SpritesTab(Col, Row-1) = 0 ; on retire le pion entre deux
            Score = Score+1
             PlaySound(#Slide_Sound, #PB_Sound_MultiChannel, 100)
         EndIf 
        EndIf 
       Else  ; autres deplacements interdit
        
       EndIf 
           
      EndIf 
     Next
    Next
       
    ;Plus aucune sélection en cours
    SelCol = -1
    SelRow = -1 
   EndIf 
   
    SetWindowTitle(#Window_0, "Solitaire Square  |  Score = "+Str(Score))
    
   If Score = 31
    MessageRequester("Victoire", "Bravo. Vous avez gagnez !", 0) 
   EndIf 
  EndProcedure
  
  
  
  
  
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;- Datas
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  DataSection
   openhand:
    ; size : 2221 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$200000001E000000,$C840050000000608,$4D4167040000007F
    Data.q $61FC0B8FB1000041,$4752730100000005,$0000E91CCEAE0042,$00004D5248632000,$000084800000267A
    Data.q $0000E880000000FA,$000060EA00003075,$BA9C70170000983A,$4B62060000003C51,$FF00FF00FF004447
    Data.q $0900000093A7BDA0,$C8BB010073594870,$BA928B01C8BB0100,$414449330600006B,$93687F97CDC74854
    Data.q $6FBC9BEF3FC715EB,$BC7F6E5E2C98DA92,$AA96B548A2D05D4B,$388FFB593A736154,$9DCACAE1C1443898
    Data.q $E1DE98BF81847FBA,$98E2F16A375839C0,$15C8AAF6B218E082,$B5EB7A0A97A4EDC7,$C6D6A95B6A176BAD
    Data.q $ECE77E69A62CDADA,$F77AD6EA69A1268F,$F9CF3CF3857FBEC7,$851BCF39E79E739C,$FF4EDF035404CBC5
    Data.q $AF87BE8802F80AFE,$536599401602A579,$5454523AAAA89F80,$26D34D152D2D2A94,$F00A8175FE803381
    Data.q $C06BF01BF819A01D,$6FB7DD3C0E5B1E93,$A0E0E0CAF6F6F49F,$38F366CC4271389C,$1DF801FC09D819B0
    Data.q $328A28D4C1B16BB0,$901C0E072D5D5D5C,$6F8691D00B97CBE5,$92EDEDEDD3EDDBB3,$048C30C54FA7D3D1
    Data.q $B8DC6FF162C585F0,$07AEBA20D86C3651,$F2F29BFC062D9F81,$8E911117EFEFE972,$2BA4A572B9590E8E
    Data.q $A1A1A196EDDB91F0,$349C13387878782C,$DFBF17EFDF883434,$DF01F402F5F5F52F,$71716155CE3ED77C
    Data.q $16CB65B000618631,$21FA64C98C3E1F0E,$D94C9931145145B0,$14BA5D2C050505C9,$A74E3D7D7D41C387
    Data.q $B07B3D9EC9D3A713,$EC142E5602DFAD5A,$5963636305E2F17B,$D56AB559BBDDEEC3,$099326C9DCDD4007
    Data.q $A4A4A2E5CB84C993,$4C51451D75D76B24,$027C017E00C012C0,$1D1F6E07CFB018FC,$860D657575760D1D
    Data.q $901F02A757575061,$8A8A8A111001CA7B,$0B801287739D3A70,$DE6F36E7186193F8,$F1F009FEDDBB53FC
    Data.q $DAD5D62C58AEE07C,$ED771AC891224ADA,$33922221616145DA,$B3660B162C34D359,$191F00A773CD5519
    Data.q $D6D0AE572BBDF186,$CF60750783C1C6D6,$773B9DE9F000E07C,$5BADD71ACEEEEEE8,$7952A549ABD5EAC7
    Data.q $6CB4A02F2D34D6A5,$8EC7698343434D40,$40070E1C56AD581D,$E3E3E3A7C0303E6A,$0E1C1ACEDF6FB743
    Data.q $118B1625AED76B07,$C65E5B3609F24489,$DDECA3C78F0A54A9,$C025F2F97B6B37BB,$5DF02D60753332BF
    Data.q $B4B4B5B40A300D60,$0A299A99ABD5EAF0,$BCDE61C384555555,$62C52D2D2E079379,$B1596B6B6B81E4B1
    Data.q $81818850A1000562,$AB1F03B015018001,$554CFD6AD5B9FAAA,$AF5E57C0F7E036D5,$EB475987C3E1EA77
    Data.q $CB4D340C30C7AFD7,$E59595941861B529,$9D94B4B4A75D7540,$81DB364A28A2773B,$282E1C009E010181
    Data.q $DADA4A753A9F0828,$5E5E5273B9DCE4DA,$472391C4C0BC029E,$5F5F48891222CDB2,$B1B1AD9951A3449F
    Data.q $2850B639FDFBF131,$B3870E123D3D3D24,$F264C989AED76BB6,$23535352FE01DB03,$53B3B3A13B204081
    Data.q $369B4D9004AAAAAA,$F2742FFCA4E4E4C9,$0550FB35E66149E4,$5756B4E722448912,$CBCBCA25D2E97357
    Data.q $75F20E0E0CBD7AF1,$980FA4B733C78F15,$6646F6F6F7BF8150,$14D3E9F4FC0CE09F,$13B53EE68D131717
    Data.q $8822220E0E0C1313,$9851D1D197AF5E08,$7F7EFC1E9E9E82C9,$39E0499FDFBF1ACE,$3C78F67F00700290
    Data.q $62C4D29CFDFEFF72,$E9E9E9921A1A1931,$C1825DBEDF6D92BC,$95ADADA9112244A0,$C8C8C8888A8F47A3
    Data.q $97CBE5C854545488,$2E5C48F47A3CD673,$003ABD330FD80A57,$8743FDD9ECF67F1C,$D3528D97D7D7D10E
    Data.q $272D9B360F1E3C34,$463636335FAFD7FA,$E29A9A9844451A34,$0249932400B7DBED,$7F4D672850A10081
    Data.q $9FD02DE040813F7F,$FC7E3C8E033C0301,$345BC99CCE679FF8,$A549264C92AAAA57,$7AF5E4DFF2ABD952
    Data.q $306CF0C023932649,$E11B8DC6F676D3E9,$B3662747FFAFD7EB,$B9272726885E0B39,$5CF8C097C02EF77B
    Data.q $634B68D1A35FC030,$23A77F3F9FCF2363,$16EB75BE0516D34D,$C1F485A0219D9D9D,$DDDDDD8D008E0B9A
    Data.q $DE9D79C85C2E1723,$FCFE709E4F27E337,$19E7C067F8F1E279,$DCDCD027448F7CFB,$64C922F178B89CDC
    Data.q $F4ABD9EBAE826F32,$F8E418304AAAA92E,$F803FEF6F6F4E3F1,$5D63BD37199D3015,$A0F0783E73162C57
    Data.q $39151515AB76EDDA,$D8CACACA34D34887,$870E13AEBA2B75BA,$28359ACD64ACACA9,$6DB6DB649932428A
    Data.q $17ECDCDCD2B6B6B4,$E017DA0BED039F91,$6A6C95CB9755C01B,$E8F6A8BE3C78926A,$91F322A2A2A4F9F3
    Data.q $64D0172334285A68,$4A924D4D4DE3DBB7,$B1C88C8C8C85E6A5,$6CDB31B1B1A4C763,$80C7B76EC43A3A3A
    Data.q $47F021519A162C1F,$D07903030323C78F,$84020D0D0D2C3870,$DDEEB1D3345B366C,$3AD81A6D9B3627BB
    Data.q $75C053C002F3539F,$22DDBDBDBFB7CF9F,$20C182CB33CD9822,$11ABD5EAE4DE6F37,$D9ECF2B870E197E0
    Data.q $E7CF82592C97FBB3,$337DF580A94A9523,$70E1DA651453A806,$716EDDB889494948,$9B3132D96CB2DDBB
    Data.q $C01580D36FC053CD,$06258B16A3D75D5D,$FD6170E7CD1F8104,$5B3E7BD3F7C09C0E,$6D384097EF7A6609
    Data.q $1F9F0FE664A810FB,$037FA1FFF00749E8,$D306CBCDB0BB66B4,$7458457425000000,$6572633A65746164
    Data.q $3831303200657461,$315430312D35302D,$2B36313A30323A36,$45E31A30303A3230,$5845742500000073
    Data.q $6F6D3A6574616474,$3130320079666964,$5430312D35302D38,$36313A30323A3631,$BE6B30303A32302B
    Data.q $457446000000CFFD,$617774666F737458,$6567616D49006572,$36206B636967614D,$3220392D382E372E
    Data.q $312D36302D363130,$7468203631512036,$7777772F2F3A7074,$616D6567616D692E,$67726F2E6B636967
    Data.q $18000000B634BFE6,$6D75685474584574,$6D75636F443A3A62,$6761503A3A746E65,$2FBBFFA731007365
    Data.q $7458457418000000,$493A3A626D756854,$65683A3A6567616D,$3131350074686769,$17000000EB01D959
    Data.q $6D75685474584574,$6567616D493A3A62,$0068746469573A3A,$0018837555313834,$5474584574190000
    Data.q $694D3A3A626D7568,$690065707974656D,$676E702F6567616D,$170000004E56B23F,$6D75685474584574
    Data.q $656D69544D3A3A62,$3236393532353100,$00EB93A1D9363130,$5474584574130000,$69533A3A626D7568
    Data.q $4B392E363200657A,$0000B37CD4084242,$6854745845743F00,$4952553A3A626D75,$2F2F3A656C696600
    Data.q $64616F6C70752F2E,$6746522F36352F73,$3634312F64567376,$61686E65706F2F34,$36313030315F646E
    Data.q $97B4EA676E702E31,$4E45490000000010
    Data.b $44,$AE,$42,$60,$82
   openhand_end:
  EndDataSection
  
  
  DataSection
   closedhand:
    ; size : 1962 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$1D00000020000000,$6E9ECB0000000608,$4D41670400000087
    Data.q $61FC0B8FB1000041,$4752730100000005,$0000E91CCEAE0042,$00004D5248632000,$000084800000267A
    Data.q $0000E880000000FA,$000060EA00003075,$BA9C70170000983A,$4B62060000003C51,$FF00FF00FF004447
    Data.q $0900000093A7BDA0,$F0F7010073594870,$E80F8E01F0F70100,$4144492E050000F9,$934C5D97C5C74854
    Data.q $A8F83F6F7FC71467,$98632143010C2B04,$973891CC0CC8B090,$B8FC4D132E25B265,$78C596C3199BBA98
    Data.q $42F388C96E232CB3,$170265D120B8E666,$0435160C34C34692,$C248D8220CE0224A,$A5ADBA371B408176
    Data.q $7E8BB3DF4BCBCA50,$7BC9FECC30994148,$FE73EFF39E7393D1,$AB8C33FF03CF39E7,$05C818A04C805188
    Data.q $E8565012D59980E6,$23F2053E07DE006F,$DBC02D00DF01BFF1,$02AE00980580EBC0,$BBC08BC086AC8003
    Data.q $5D0B223A05E01140,$1F6FB7DACE2E2E2A,$E0F079DBB760A28A,$193BCA28A3D004C1,$3E7C24A4A4961919
    Data.q $2461F021FFBF7E1F,$4E4E4BE805784576,$8BA7A7A49B366DD6,$55353524607E28A2,$3A3A3A2894ECECEF
    Data.q $EEF77B200AB56AC4,$72E3E3E329D3A715,$FC026CD9B135DAED,$BC067C0C7C0ABC04,$369A026E4B979809
    Data.q $3A328D8D8D28DC6E,$F77BB2FDFDFD2A3A,$2E5C40A0A0A4016E,$9594A4E4E4C08C57,$10B24D4D4D200995
    Data.q $B098FAC2131D8EC7,$51441B0D86FA2C58,$81B20472C1F01F14,$8A14284B0F87C3E1,$59B36626D6D6D62D
    Data.q $ECC6F5EBC54B4B4A,$6CC4472391CBAEBA,$DA811C5757574B36,$AE57373724015ADA,$5252BDBDBD22B95C
    Data.q $54545A402FC02252,$F99FBF7ED302A18B,$146DB6DB7198F9F9,$4C4C4858B1611515,$92B56AC145222C7C
    Data.q $42DC565656469696,$E0713264C66F379B,$59594FDFEFF601C0,$FA403900A5A5A519,$3C326CD9B7ACC272
    Data.q $E5DBDBDA8FF71C3C,$7D9C7AEBA29BCDE6,$55459B9B9A507070,$E4E48F47A3FB38D5,$13B6633A74E293C9
    Data.q $A4F6BC0930084E27,$28A2B5F00B6056E4,$5551AD64170B85FA,$F04B8B1BC5D51555,$22227C09D033F01E
    Data.q $DA57FBF7E3373734,$91E8010A1422CB41,$B0BE7016FEC4530F,$9D988743A1D370B0,$4ECECE81A1A1A59D
    Data.q $466B151515070E1C,$5A9816601A7A7A60,$A7A5B3B3B3EFF358,$965F2F9755B627A7,$B64BEDDBB1028282
    Data.q $686863E9C674E9D1,$89A69A21B8DC6E48,$16969697EFDF8888,$2B2B2B624B3C78F1,$402C04A2F2031805
    Data.q $C40810243B1D8EC7,$5C7C7C64E6E6E71C,$55555016E2666666,$3115151525DAED76,$F3F3F25C7E3F1DD1
    Data.q $A6A497575743E763,$470212E363634AA6,$68A6F7C7C2151E8F,$555004081BC03409,$266CD98002C58B15
    Data.q $22EA8C3589E72727,$7676766555544F52,$AAAB17102040EFC9,$EE13BF006363632A,$0B972EA302110C04
    Data.q $9F0C5B82A6BDDBB7,$82071802E5CB87CF,$A84F1E3D77000251,$EBEBE812B9E7A7A7,$17489FA004646463
    Data.q $A1A1A86444380944,$EDD869A682EDB9E1,$ED447007A0C18276,$EF6F6F7CE06E0251,$14D655B47575755C
    Data.q $7841B5B5B4EDEDED,$FC0F5000262C0E3A,$B3D9ECFD45E2F170,$878787C966B69A68,$043EF5EBC2AAAAA9
    Data.q $0660485990D880EA,$9A9AC7FE7E7E62F8,$145186E2EAEAEA1A,$0C18311A3460A28A,$FA89F62DB3128A28
    Data.q $03033575754AAAA9,$BE85DDC097C05303,$B4D357A04184EF8B,$999999F9DDDDDD2D,$69E63C3063171714
    Data.q $BADD6C4C99311A34,$8C8CA25892929295,$22626249DCEE760C,$ECF604848491A346,$9CCE672B6B6B43D9
    Data.q $E2223BE05AF5D741,$AD5AB1DC0CBC37FB,$0A56E13B1B5B5B52,$C2176FB7DB27CF9F,$47408574B4ADB7AA
    Data.q $596E773B9C8A4A4A,$A5B7DBEDCBAEBA12,$7ECC776EDC5EBEBE,$E0134B4B493DDEEF,$BF5D681F27EAD5AB
    Data.q $04A9FD7EBF5CBD7E,$004F2F2F25BBBBBA,$2939393283C1E0FD,$93939243870E2222,$A17C2004B568F805
    Data.q $EE4C4F53A9D4EBFC,$17005CBCBCA4B972,$D4D4D7CF366CD570,$1BF81033D301333C,$09376EDC76EDDA08
    Data.q $850A112525240909,$5B9F7FBFDC830608,$4D25C0B7C0696EB7,$383E5D3E9F4E52D3,$5F9DB454D4D4C838
    Data.q $F0877012F03B2FF8,$3C269910F093F900,$7581CF815F8027CF,$7C8D1819A022FF11,$97967F16D3E54023
    Data.q $0248152C53F08191,$EC8FE4EDC2048112,$1E3ACC4168401FD0,$6E13F08780433A5F,$E3EB08048D01FE09
    Data.q $742500000020A36F,$3A65746164745845,$3200657461657263,$312D35302D383130,$3A30323A36315430
    Data.q $30303A32302B3135,$2500000007750E5B,$6574616474584574,$00796669646F6D3A,$2D35302D38313032
    Data.q $30323A3631543031,$303A32302B31353A,$000000BBCD532A30,$666F737458457446,$6D49006572617774
    Data.q $636967614D656761,$2D382E372E36206B,$302D363130322039,$3631512036312D36,$2F2F3A7074746820
    Data.q $67616D692E777777,$2E6B636967616D65,$00B634BFE667726F,$5474584574180000,$6F443A3A626D7568
    Data.q $3A3A746E656D7563,$A731007365676150,$74180000002FBBFF,$626D756854745845,$3A6567616D493A3A
    Data.q $007468676965683A,$00FE749D77383734,$5474584574170000,$6D493A3A626D7568,$6469573A3A656761
    Data.q $7C1C323135006874,$457419000000DC03,$3A626D7568547458,$707974656D694D3A,$2F6567616D690065
    Data.q $004E56B23F676E70,$5474584574170000,$544D3A3A626D7568,$3532353100656D69,$A923313530323639
    Data.q $4574130000004CC3,$3A626D7568547458,$323200657A69533A,$DEF8FC42424B332E,$58457441000000C1
    Data.q $3A3A626D75685474,$656C696600495255,$6C70752F2E2F2F3A,$2F36352F7364616F,$2F64567376674652
    Data.q $6F6C632F34363431,$5F646E6168646573,$702E393831303031,$0000F4B25CA6676E,$42AE444E45490000
    Data.b $60,$82
   closedhand_end:
  EndDataSection
  
  DataSection
  slide_ogg_start:
    ; size : 5822 bytes
    Data.q $000002005367674F,$3111000000000000,$D9890000000059DA,$726F76011E01BC69,$0200000000736962,$0000000000005DC0,$000000000001046A
    Data.q $00005367674F01A9,$0000000000000000,$0000000159DA3111,$FFFF400F2213C721,$FFFFFFFFFFFFFFFF,$726F7603B6FFFFFF,$4C0000000D736962
    Data.q $30322E3835667661,$000000013030312E,$6F636E650000001F,$6376614C3D726564,$30312E35332E3835,$726F7662696C2030,$726F760501736962
    Data.q $0156434221736962,$2A10421800004000,$2115C83A8E63AD05,$C729CA42A0A2198C,$884324A321D0421D,$B9476318C735C63A,$5590D081C9428A64
    Data.q $571CA40000400000,$A3739CE72D497250,$9CE720E871CC5718,$250971CC6720E573,$7292E7398E739CE7,$5718A3739CE7318E,$81739CE72D29720E
    Data.q $9CE718A7718A4714,$18A8718A471CA473,$7292B7316D739CE7,$8720E6739CE739CE,$A4739CE735AE7252,$9CE7250B720E6718,$20EB71CC6720C673
    Data.q $72D4B7358C739CE7,$E739CE739CE739CE,$8C739CE739CE739C,$9CE739CE739CE731,$39AE7316E7316E73,$731CE739CE739CE7,$643420739CE739CE
    Data.q $28A1A00000900015,$0AB21A100E28E28A,$147140100000C800,$D1CB1CB14B149147,$000005590D080D24,$8648A00000080001,$69668E58A58A48A4
    Data.q $2AA29A28A27A269E,$B2CB2CB2CA69B2AB,$000AB21A102EBAEB,$70C5145150000048,$640005590D080714,$38A38A2860080000,$079E59A59258E48E
    Data.q $0000800002AC8684,$14B1470C50000004,$F3CF3CF2CF24F14D,$CF3CF3CF3CF3CF3C,$3CF3CF3CF3CF3CF3,$00200005590D080D,$4203186428820000
    Data.q $0800004000015643,$5C12529D43191A21,$421D43111C42160A,$8529E083A5A943CE,$210841AC53D26325,$81EF7BDEF73DEF7C,$00001000005590D0
    Data.q $0824C78188381461,$A671442714628421,$CA5824E584210820,$421083DD0824E879,$7BDEF7B9CB7B9CB8,$0008000015643420,$84210842108420C0
    Data.q $485294A429084210,$1CC7298A6298A629,$320C8320C731CC73,$92A4C93A4E93A0E8,$6B528EA324CA3A4E,$16E5B14C5314B529,$41AF739CD6B5AD63
    Data.q $8C6318C6318C6329,$18C6318C6318C631,$00800005590D0823,$0841906419061000,$98A6294852148421,$4342031CC731CC72,$0002000080000156
    Data.q $72472452451C0000,$492C92C924924724,$3CB3CB3CB3CB3C93,$55D555154D44D44D,$DF6DF65F6DF6D76D,$65D5DB65F6DF65D5,$D65D6DB5DD65965D
    Data.q $5D75D75D75D75D5D,$75D75D75D75D75D7,$80005590D081D75D,$E48E38E48E800004,$0A48A48E48E48E38,$000190000AB21A10,$48E38A38A3800010
    Data.q $269259258E58E48E,$9A79A79679679669,$000AB21A101E89A8,$0000000010000400,$8E38A38A28A28000,$7AA79E69A6965924,$A9A68AAAAA9A28A2
    Data.q $A69A69A69A6AAAAA,$9A69A69A69A69A69,$69A69A69A69A69A6,$A69A69A69A69A69A,$AB21A10269A69A69,$71C71D0000090000,$472471C71C71471C
    Data.q $2000156434202492,$1C51430000200003,$B34B3492C72C7245,$515CF4CF44D3CB3C,$6434206D57537536,$0000200008000015,$C73C73C700000000
    Data.q $3C73CB3C93C93C73,$D34D34D3493C93C7,$4D34D34D34D34D34,$34D34D34D34D34D3,$D34D34D34D34D34D,$4D34D34D34D34D34,$42034D34D34D34D3
    Data.q $9000006400025643,$1C02462D2942CF02,$F7BDEF7BD8A39888,$ED4988923C657BDE,$C667B10731D4F431,$1CCF29D8A3946623,$314A743CE8620C42
    Data.q $C620C63252F52988,$0D081894210C63D8,$2418006684002159,$000D34900D349009,$4F24000000000000,$00044F3404513403,$F349000000000000
    Data.q $0001144D00F44D00,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$1144F00D3C900000,$00000000001144D0,$0551440451340000,$000000000004D544,$01154F01144D0000
    Data.q $00000000000154D1,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$3490000000000000,$001144F01144D00F,$5134000000000000,$0005513C04D54404,$144D000000000000,$000115510154D101
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000040000000000
    Data.q $8508580400003804,$0C0004E20008AC86,$9248E0000059638E,$069A4923800001A6,$00002289A69A0000,$000000008A269A58,$0000000000000000
    Data.q $0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000000000000000,$0000020000000000
    Data.q $03284C0200001C06,$0000A20004AC8685,$5802CB0069A2860C,$3CF0069A00D34016,$000800134C022780,$41B0080000702800,$0256434280716253
    Data.q $2491450600005100,$2289A69A683CF2CB,$79E79E1144D34D34,$2884D33CF3CF08A2,$34CF3D1442699E7A,$4D14409A68A29A61,$4000038140000053
    Data.q $1A14038B129A0D80,$28300009080012B2,$69A28A289E79658A,$144F3CD342EBAAAA,$69A175D55534D145,$EAAA9A68A28A279E,$34D345344F3CF0BA
    Data.q $9A289E785D75554D,$3C2EBAEAAAAA69A6,$75D55534D34D144F,$9A69A68A279E175D,$4514510CB2BAEAAA,$06595D75554D34D3,$2BAEAAA9A69A68A2
    Data.q $D75D55534D1440CB,$AAAA69A288196575,$4D54D3032CAEBAEB,$69806596595D7555,$54032CB2CAEBAAAA,$A01B6D96575D75D5,$00DB6CB2BAEBAEAA
    Data.q $06DB6596595D75D7,$002DB6CB2CB2BAE0,$08C0200001C0E000,$B84D1B08B2A8C93A,$880022B21A1400F0,$A5314A518C000002,$4C61A1294A12630C
    Data.q $A94A525254A5494A,$495295294A424A94,$A5294A3252A52949,$AA529295252552D6,$8000054A525494A4,$8508581D8000381D,$080000F20004AC86
    Data.q $94A4E7318C629042,$A54A52739CE6314A,$8C63252939CE7318,$9CC63192949CE739,$39CE7398C94A4E73,$939CE739CC64A527,$294A10739CE73A52
    Data.q $5294A50839CE74A5,$9D294A52841CE842,$0E05400001420E73,$304E6C8A36010000,$1520004AC8685412,$9A69A59638E0C000,$79E6924968A279E6
    Data.q $E4925AA9A289E7A2,$3CAA69A279E8A279,$55534D14514513CF,$A69A28A289E8A289,$54D34D34516592AA,$A69A68A2CB65D755,$554514D30BAEAAA9
    Data.q $69A28A6985D95D75,$555355B6432CAEBA,$AAA9A6DB61B6575D,$96575D75C0CB2BAE,$ADB2CAEBAEB81D6D,$2A0000704F00000B,$C0B1A293847561B0
    Data.q $0000190002564342,$4A5210A529082104,$908529484294A421,$0080000701800000,$80012B21A140CA13,$8421084200000054,$0842108421084210
    Data.q $1084210842108421,$2108421084210842,$4210842108421084,$8421084210842108,$E739D08421084210,$CE739CE739CE739C,$9CE739CE739CE739
    Data.q $39CE739CE739CE73,$739CE739CE739CE7,$E739CE739CE739CE,$CE739CE739CE739C,$7620004E739CE739,$23AB0D844EC00385,$12B21A16058D149C
    Data.q $C6318C0000070800,$94A56B5AD6B58B39,$335AD6B5AD6A1252,$C6318C62D0929485,$8C6316A521063318,$18C5A8E73198C631,$2D894AD6C6318C63
    Data.q $4A56B6318C6318C6,$C6318C6318C6318C,$8C6318C6318B62D8,$18C6318C6316C631,$318C6318C6318C63,$6316C6318C6318C6,$C6318C6318C6318C
    Data.q $8C6318C6318C6318,$18C6318C6318C631,$318C6318C62D8C63,$6318C6318C6318C6,$4000383C9800058C,$E159D24AC338D825,$DC80012B21A17068
    Data.q $CC7318A518C00000,$A929425294210839,$4A5284210739CEB5,$73194C5296952929,$29425294A10839CE,$52841CE73A94B529,$AD4B5294A529494A
    Data.q $4A5294A108420E75,$84210A5A94A52949,$6A5294A525494A52,$9294A5084214B5AD,$316B5A94A5294A52,$5294A4A529521294,$94254B52D6A5A92A
    Data.q $6A5294A5294A4A92,$94A4A9294AD6B52D,$2D6C5A94A5294A52,$5296A5292A525285,$95A52C5B18B5A94A,$8A5AD4A5294A5294,$D4A5294A5B16B5AD
    Data.q $AD4B62D6A5294B52,$52D4A5296A5294A5,$A5296B5AD8C5A96A,$8A5294B52D4A5A94,$94A5AD4A5316B5AD,$AD4A5B16A5AD6A5A,$5294B52D6A5296A5
    Data.q $A52D6B5B16C5AD6B,$4B62D6B5294A5296,$96A529495A96B631,$AD6B62D6C5AD4B5A,$62D4A52D4B5AD4B5,$A62D6C62D8C6318B,$000054B5296A5294
    Data.q $95118040000381D0,$23811E5719A76216,$02564342A026190A,$324D320400006400,$9418A724C2352927,$8694A5294A739CD2,$9323AA0C520C92C8
    Data.q $1486348867292731,$620C5298F2299EA4,$26AD87314E854908,$118CA0D620E84B1F,$004100000018A52E,$0504030000908080,$40E46100E0C00033
    Data.q $30000DA1C08023A0,$3834214181332110,$00A90888078004C8,$2105D0BA51413120,$70B81E2C822E9044,$0DA1D09C3713C6E2,$0004000000000004
    Data.q $2220200A1200003E,$8D0C8C0B8B0AB99A,$0001100F8F0E8E0D,$000F800200000000,$AE66888808042480,$A38363432302E2C2,$401000002403E3C3
    Data.q $8010040000000000,$4000000000008080,$67674F8080000000,$0000001624040053,$0259DA3111000000,$0E031E6175000000,$A6A29B99A3A2A6A8
    Data.q $36F4578B928C96A3,$D232C78DBDC9471E,$05D5A7D99C1E70BC,$63188EE8AB1C548E,$E2F922FED3F0DE75,$E7F785127C96C4B9,$7B63D3DF9BFFDDBF
    Data.q $BCBEDC9F35785FD8,$9FB49E3DDC6798DF,$EF5FA7DBE7E9FA9F,$71F6F6E4B3BFF3E1,$7B5CC7C1CD97CC9C,$A43DBEBC3261DAFC,$7C935DFDF673126D
    Data.q $B3C32B6D25B6DE7C,$76C75F8C24D8E367,$E36D9CE9BBF4F7CE,$9249247AECD6A6F9,$57DEEF7FB199377E,$D9ED76B958CBFAF5,$321F37D0C36FF1D8
    Data.q $D12401878731F4FC,$4D5C755370BB549C,$A780B9957EECCE62,$A9B83768A2B77BB9,$43F4614994B9ABD1,$5F9AD979C8E87C4E,$D2D62B71D962663B
    Data.q $CD9ABEB866E39BE5,$8D150F9F2C5BD38A,$B73DE6F1EBE139DD,$BD7737776DADC9BD,$BB52E3363938AFDD,$8C7693696C7670FD,$7661936D2A5F17CC
    Data.q $3B190FD8C9A3E7BC,$41E192FC6438F9E4,$83C5F8CDFF7C9525,$F19F464477B7664E,$89A0FBAF2F91F72B,$F274331C6435268A,$47FD3FA3F0EF3E41
    Data.q $7D5E4F3400036307,$C04BA9899A4A34ED,$989C4F9B9A9BC05F,$E6805CB417ECE5EC,$B0EE5E94F960DD06,$0FD4AB204072FE29,$89BF1836D737EC91
    Data.q $579BAEE5C4BE7D52,$656E7ED77D99B3CC,$6C9F647BC4D319BF,$6ED55554EC5B2FA6,$E3AAD6D6CD89D63B,$3163ECF7B0CBCE6C,$F37937E9368F1C7D
    Data.q $9134D2864DAB43FA,$E36FEBFBFF3FF21F,$F8FEBADB9C334470,$34D2A5FF331C61F3,$B4D25346B3E3F695,$BC9F6BD07192DB4D,$383A000155AE4F9F
    Data.q $7F7E60D01B594A9C,$577200827B2A03C4,$AAA8B87B090DE06B,$BCE1ADCEEAD296FC,$1799D2D643F552FD,$548A12A2C6E48E12,$F0BD3BCE234D0133
    Data.q $975C7DBA98E8E30C,$133FBFB2DBA31E5D,$AF2468DB91B98BB1,$636D18D9BED8F4F3,$9A3CEB34D53C06C4,$A1A0F24199ECF46A,$90A5BED6E707C6A1
    Data.q $EFEDF17A25F98B5F,$D7F2FF2453FE9F36,$E6E1F7297DC23052,$673C4911997FC9F6,$AAA2F6DB7F93ADB4,$1D7F8D4C77236EFD,$0064F773ED57DE05
    Data.q $D0BB3DD80798F20E,$B123BB1D03C68B23,$8C62DE55674A6B94,$37A2352F39F9A39A,$E9003203E9BB73C7,$8E1E72E9E5F8E5D3,$24E9DDB34B388F9C
    Data.q $6EFEEDFBB3ACDCC3,$E3FE6F3A86A301EF,$2E48CBE64BD0065D,$9212A00271E730C9,$BFF4C953BB51A7D8,$A6AFCE79DADDF7BF,$F73135D95B617986
    Data.q $BBA68AD28D5D6B55,$C8FA7DFFB374ED2A,$368277EAB4BA2CDF,$6924CE7FBDC71D8B,$62F3722D181E1683,$95950AE8C0E0F620,$68E92B3CD34AFF6F
    Data.q $BCE9C30F80F0DF07,$EC2BB8F898DE16AA,$001A9E3C27A794BB,$CDE1F86F6EF71D3A,$B71DC9C3157E60FA,$88201158DDB5B92E,$7DB4F44F902839F2
    Data.q $45001334F8E19A67,$3971A199B3B3AEE5,$F9685212A747A113,$7FF0F6342411E3A8,$EF5C9F2643FA68D2,$43D4D35C53D7DF47,$DE6D21514382B08E
    Data.q $D4CEC9D8DF412A49,$6D371D467B73BCDC,$ECE7FE028DA22F73,$A0CCE9B51019FF67,$5A78A8C5D59D97B4,$CCAB3974B465CFA4,$FDFF60707A026634
    Data.q $E3B2F5EBD5E93D1F,$CD8EC9B75BB70CA6,$CAB8F9B3DB4DC77B,$BB4AEA279609D5FE,$924B6A987BD80037,$5A9F697E7292EBE6,$B8FB133DB06C0D40
    Data.q $2587327B32996DE3,$69757D8BF39DAA0E,$D2BE4D7FC9006770,$738CDAD87F25E7F4,$5DA9EC3899BC4F6E,$D20214BB846BB59F,$DC7563733B44FBEF
    Data.q $59D6A7188AF83DC7,$7E002CD21B409CF3,$57564020E047ECC7,$66E200081AE6740D,$3DC197087B3E77AE,$9E2F6FDA2BCA98CB,$BD685A555D834337
    Data.q $4BF7BA19FEB800D3,$D16F47C4F19FCF5F,$77E174E41C69F1F9,$AFDE95B00011F761,$367A69BCF27C3C4E,$E00097C7A897278C,$697CE05BAFC7CD36
    Data.q $35CD453377B49D9A,$C3C8EE6A5BAB67E7,$78DA0E8899B8DCEB,$EC25E10FBD1A9DBD,$387249D672EE9E86,$FB6DDF3E09D41BD9,$13BF109EF46771D5
    Data.q $3E7DBF91C539B0EF,$93E79E003993F479,$F6EE950214CD995A,$741A8D52992DE7CE,$EACB9600D47B3CEF,$7D1F5DFB20DCDE34,$644793CACD879DF0
    Data.q $3D5B0DAC4D2DFEF1,$D2E58F3723F3A971,$FA70B63EDABD8F46,$E50E67DA10005F7C,$95CC1DD3859E906C,$5235E0C68F71B3FD,$77E8E801B6F74E8F
    Data.q $FF9D90C6B42FF9E8,$F6771F27F4CBF3BF,$10024486D5F0022E,$5891C13A3CD225F2,$17F35911393B9D11,$1CF913CA3E75D99D,$D9ACFCEB476A9992
    Data.q $000008F95FD08114,$58AD5522DE63A7BE,$DD303681C3DDC2F4,$D96F96467EE6E9E0,$72F55C033AC6532C,$AE5D5DDC77EAF8DA,$3070D97BBB178CDB
    Data.q $AEC7477D3F17BCF5,$FDF6CF418FBB19B5,$7B0FDA6372027B7C,$36B6E10DE9A12F4E,$C8EADAC7F386E00F,$EE416A46E09D8D2E,$D03BFBDE0014EEFA
    Data.q $F30E2746AD1E9AA6,$D7A7407F5AA1740D,$FD17EBA0B25476B9,$9A169A47C776FBF2,$759397C3048D1A68,$87FE110ACACF79E2,$BFD348A41C6F0B4B
    Data.q $D3D2269888DDA858,$97176DB27AD86F3B,$62500014EFCAD6ED,$77457085C95B61D6,$4AF8FC6DDA8D87AE,$CCC953CE92DD63E3,$DF7BA7500BBA7A09
    Data.q $053659ED31A8A4AC,$7F801FB005E6479B,$6B1D9A344F7A7A1B,$D00000B5F87642A0,$2228E7EE02A05E7C,$CD9FC388EBC38173,$EEFB1D7BF1251E74
    Data.q $6D3320920E7849DD,$7DE10F49C55F758D,$4E0FB56B27DE0F20,$856AE7DC13E92B89,$61FAF4F448E2EE37,$D534D65961A3D83A,$0517DB6543010054
    Data.q $714DEBF9723E1E31,$FDF357CBEB55B3BB,$1EEE9E8D73737E78,$00006E4EE45B6D56,$6E9E45358F1E7EB8,$007B853F78129F72,$74D4E4AF26B4FBC0
    Data.q $0004F7D5E4724A80,$43DF0F36D515C984,$78DC14F273E8005B,$9398C56D6DFDE025,$73BAE6FE35B27BDE,$8677F2026742FEAF,$759A77FE111AADFA
    Data.q $4FF8E7D3C890E69D,$E54F34D5CB3AD835,$B12AD96137CE53AD,$7635FDBBB66F0053,$F0DEA72711CA71DB,$1A9F3EBA681FFDFC,$F9776E69D6D871BB
    Data.q $F3FDE802303B123A,$DA456363875D608E,$3EC874BD1C70F5B9,$002BBFB8DBF82725,$378BE321A76EEB98,$DEA964382A42F0DE,$30AF8478C98C01DE
    Data.q $3CF2FCF99A54D520,$F477CC9CDA688935,$1E5EAEA1C373ECEB,$F8898FEB88D1F998,$54D188B1F98817DD,$E295512AAD07A711,$F768E4FE3EF1674E
    Data.q $D1FB47BC8FBF1C76,$FF444B68F6F0FBF4,$1F7AC0A6B0E6DC7D,$8FBC3DC0FE3E7FBE,$1F780BF6207D087C,$0EE7E63B7A3A909A
    Data.b $EF,$1C,$ED,$54,$06,$00
  slide_ogg_end:
EndDataSection

; IDE Options = PureBasic 5.72 (Windows - x64)
; CursorPosition = 304
; FirstLine = 185
; Folding = 9
; EnableXP
; UseIcon = ICONS\Solitaire Square.ico
; Executable = C:\Users\deleo\Desktop\Solitaire Square 32 bits.exe
; Compiler = PureBasic 5.72 (Windows - x86)